GNU Radio 2.x: gr_simple_correlator class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Compound List | File List | Namespace Members | Compound Members | File Members

# gr_simple_correlator Class Reference
[Signal Processing Blocks]

`#include <gr_simple_correlator.h>`

Inheritance diagram for gr_simple_correlator:

[legend]
Collaboration diagram for gr_simple_correlator:

[legend]
List of all members.

## Detailed Description

inverse of gr_simple_framer (more or less)

TAPR DCC-2004 demo...

## Public Member Functions
| ~gr_simple_correlator ()
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
| compute output items from input items
## Friends
gr_simple_correlator_sptr | gr_make_simple_correlator (int payload_bytesize)

## Constructor & Destructor Documentation

gr_simple_correlator::~gr_simple_correlator | ( |  | ) |

## Member Function Documentation

int gr_simple_correlator::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) | `[virtual]`

  | compute output items from input items Parameters:
  noutput_items | number of output items to write on each output stream
  ninput_items | number of input items available on each input stream
  input_items | vector of pointers to the input items, one entry per input stream
  output_items | vector of pointers to the output items, one entry per output stream
Returns: number of items actually written to each output stream, or -1 on EOF. It is OK to return a value less than noutput_items. -1 <= return value <= noutput_items general_work must call consume or consume_each to indicate how many items were consumed on each input stream. Implements gr_block.

## Friends And Related Function Documentation

gr_simple_correlator_sptr gr_make_simple_correlator | ( | int | payload_bytesize | ) | `[friend]`

The documentation for this class was generated from the following files:

- gr_simple_correlator.h
- gr_simple_correlator.cc